Title:  Frequently Asked Questions

[TOC]

General
-------

### What is a VPN? How does it work?
A Virtual Private Network is a virtual network that provides a secure
and reliable connection between two points over the Internet.

Our VPN forwards your traffic through our VPN servers to prevent it
from being analyzed, filtered, or modified between you and the server
and hides its original source.

Instead of seeing your own IP address and finding your ISP and approximate
geolocation, websites will only see the IP address of the VPN server.
It lets you pick the country and blend in as anyone behind the VPN server.

### How does it compare to tor?
Tor, although free and decentralized, is not designed for the same usage.
It provides better anonymity than a VPN, at the cost of much reduced performances
and in some cases security.

While communications are very secure between two tor nodes,
to communicate to the existing web ("clearnet") it needs *exit nodes*
that will see and handle all your traffic, and some of those have been
seen to abuse that trust. Our servers don't do that.

A VPN can be used for everyday browsing, online gaming, and you can
pick a server close to you for best performances.

For anonymity, tor can be used over the VPN to hide your tor usage to
your ISP or school, as it could be used against you.

### Do you propose an affiliate program?
Yes, sare your affiliate link and earn 2 weeks for each referral that pays.  
Invite 24 people and you get one year of free VPN!

### Is P2P allowed?
On some servers. You can see it in CCVPNGUI and on the configuration download page.

### Can I have a dedicated IP address?
Not at the moment.

### Do you limit bandwidth usage?
Every user of a server share its connection without hard limit.
We try to always have enough bandwidth (at least 20Mbps) available
for each connection.

### Do you censor some websites or protocols?
No. BitTorrent is forbidden on some servers.

### Which protocols are supported?
We only support OpenVPN for now.

### Which payment methods are supported?
We support Paypal, credit cards (via Stripe) and many cryptocurrencies (BTC, XMR, LTC, ETH, ...).  
Feel free to ask [the support](/page/help) if you need any other method.

### Is it free software?
Yes! Our VPN is based on OpenVPN and we try to release most of our own work as free software.  

* [Our Windows OpenVPN GUI](https://github.com/PacketImpact/lvpngui/)
* [This website](https://github.com/CCrypto/ccvpn3/)

### Are my data kept secure?
Yes, the VPN traffic is strongly encrypted and we do not keep any data on the
VPN servers.  
The website and database are on a different server, in a
different datacenter.

### Will there be more servers/countries available?
Yes, but we first need money to pay the servers.  
If you would like to have a server somewhere, know a good provider or would
like to host one, please contact us.


Account
-------

### Can I have a trial account?
Yes, you just have to [sign up](/account/signup) and click on the dedicated button
to get a repeatable free 2-hour test period. The limit is a full week.

### Can I use my account on multiple machines?
Yes, you can! Up to 10 at the same time!  

### How can I delete my account?
Contact [the support](/page/help).


Technical
---------

### Encryption used
Authentication uses a 4096 bits RSA key. (3072 bits on oldest servers)  
The current recommended key size considered safe until 2030 is 2048 bits.  

VPN trafic encryption is performed with the best cipher available to OpenVPN
(with a recent version AES 256 GCM)
using a random 256 bits key re-generated regularly, and unique to a VPN connection.

Key Exchange uses a 3072 bits Diffie-Hellman parameters.  
A 2048 bits key is considered safe until 2030.

### Do you support IPv6?
Yes, most of our servers are dual stack - they perfectly support IPv4 and IPv6
at the same time.  
Some are IPv4 only (but we're working with our providers to fix it) and will
block all IPv6 traffic to make sure your IPv6 address is not leaked.

### Do you support PPTP?
No, PPTP is not supported and will not be supported.  
PPTP is considered insecure and should never be used.


Legal
-----

### What do you log?
See our [privacy policy](/page/privacy) page.
Your traffic through the VPN is never logged, but VPN connections are.

### Is it really anonymous?
We will not ask your name and you can pay with bitcoins.  
The VPN will hide your identity from people over the Internet,
and can help you achieve anonymity by not leaking information through your IP address.
It will however not make you untraceable.

### Will you log traffic or send user data to authorities?
We won't log your traffic under any condition.  
We may give the little we know about you to authorities
only if required by the law to keep the service running.  
In this case, we'll try to contact you before doing anything if possible.


