Title: Questions fréquemment posées

[TOC]

Géneral
-------

### Qu'est-ce qu'un VPN ? Comment ça marche ?
Un VPN (Réseau Privé Virtuel) est un réseau virtual permettant
d'établir une connexion sécurisée entre deux points d'Internet.

Notre VPN redirige votre traffic vers nos serveurs VPN à travers le tunnel
sécurisé, le protégeant contre la lecture et l'interception par un tiers,
et cachant son origine.

Au lieu de voir votre adresse IP and d'en déduire une localisation approximative,
les sites web ne verront que l'adresse du VPN.
Cela vous donne le choix du pays depuis lequel apparaitre, et vous permet
de vous fondre dans la masse des utilisateurs de ce serveur.

### Quelles sont les différences avec tor ?
Tor, bien que gratuit et décentralisé, n'est pas fait pour le même usage.
Il fournit un meilleur anonymat qu'un VPN, mais au coût de performances
très réduits et dans certains cas la sécurité.

La communication entre deux noeuds tor est bien sécurisée, mais pour accéder
au reste du web ("clearnet") le réseau tor passe par des *exit nodes*
qui vont avoir accès à votre traffic, et certains ont déjà été vu abuser de
cette position. Nos serveurs ne font pas ça.

Un VPN peut être utilisé pour la navigation de tous les jours,
les jeux en ligne, et vous pouvez choisir un serveur proche de vous
pour les meilleures performances.

Pour l'anonymat, tor peut être utilisé en plus du VPN, pour cacher votre
utilisation de tor à votre FAI ou école qui pourrait utiliser ça contre vous.

### Avez-vous un programme d'affiliation ?
Oui, vous pouvez partager un lien associé à votre compte, qui vous
fera gagner 2 semaines de VPN pour chaque client l'ayant suivi.  
Inviter 24 personnes vous donne donc 1 an de VPN gratuit !

### Est-ce que le P2P est autorisé ?
Sur certains serveurs. C'est indiqué dans CCVPNGUI et sur la page
de téléchargement de config.

### Puis-je avoir une adresse dédiée ?
Non, pas pour le moment.

### Y a-t-il une limite de bande passante ?
Non, tous les utilisateurs partagent équitablement la connexion des serveurs.  
Nous faisons en sorte qu'il y ait toujours un minimum de 20Mbps disponible
pour chaque client.

### Censurez-vous certains sites ou protocoles ?
Non. Le BitTorrent est interdit sur certains serveurs.

### Avec quels protocoles fonctionne le VPN ?
Notre VPN est fait avec OpenVPN.

### Quelles méthodes de payement sont disponibles ?
Vous pouvez payer par Paypal, carte (via Stripe), et plusieurs cryptomonnaies.
Vous pouvez [nous contacter](/page/help) si vous avez besoin d'un autre moyen
de payement.

### Est-ce Libre ?
Oui ! Notre VPN fonctionne avec OpenVPN, et nous essayons de distribuer
une grande partie de notre travail comme logiciel libre.

* [Notre logiciel client pour Windows](https://github.com/PacketImpact/lvpngui/)
* [Ce site](https://github.com/CCrypto/ccvpn3/)

### Est-ce vraiment sécurisé ?
Oui, le VPN utilise différents algorithmes de chiffrement fiables et nous ne
gardons aucune données sensible sur les serveurs du VPN.  
Les comptes clients et historiques de connexions sont uniquement gardés sur des
serveurs séparés.

### Y aura-t-il plus de serveurs ou dans d'autres pays ?
Oui, nous ajoutons des serveurs en fonction de la demande et de nos moyens.  
Si vous voudriez héberger un serveur, recommander un bon hébergeur, ou
seriez simplement intéressé par une certain pays, contactez nous.

Comptes
-------

### Puis-je avoir un compte de test gratuit ?
Oui, vous n'avez qu'à [créer un compte](/account/signup) et cliquer sur
le bouton dédié pour recevoir une période d'essai gratuite de 2h répétable.
La limite est d'une semaine entière.

### Puis-je utiliser mon compte sur plusieurs machines ?
Oui, vous pouvez utiliser votre compte avec un maximum de 10 connexions
simultannées.

### Comment supprimer mon compte ?
[Contactez nous](/page/help).


Technique
---------

### Chiffrement
L'authentification utilise une clé RSA de 4096 bits. (3072 sur les serveurs plus anciens)  
Les clés de 2048 bits ou plus sont considérées sûres jusqu'à 2030.

Le traffic est chiffré avec le meilleur algorithme disponible pour OpenVPN
(AES 256 GCM dans les versions récentes),
en utilisant une clé aléatoire de 256 bits re-générée régulièrement
et unique pour chaque connexion au VPN.

L'échange de clés (Diffie-Hellman) utilise un groupe de 3072 bits.  
2048 bits ou plus est considéré suffisant jusqu'en 2030.

### Est-ce que l'IPv6 est supporté ?
Oui, la plupart des serveurs fonctionnent en IPv4 et IPv6 (dual stack).
Quelques-uns ne fonctionnent qu'en IPv4 et bloquent entièrement l'IPv6 pour
éviter de laisser passer votre addresse IPv6.

### Est-ce que le PPTP est supporté ?
Non, le PPTP n'est plus considéré sécurisé et ne doit plus être utilisé.


Légal
-----

### Quelles informations gardez-vous ?
Voyez notre [politique de confidentialité](/page/privacy).
Nous n'enregistrons jamais votre traffic dans le VPN,
mais les connexions au VPN sont loggées.

### Est-ce réellement anonyme ?
Nous ne vous demanderons pas votre nom et nous acceptons les paiements anonymes.  
Le VPN cachera votre identité lors de communications sur Internet,
et peut vous aider à atteindre un niveau d'anonymat en évitant de laisser
filtrer informations par l'adresse IP.  
Cela ne vous rendra pas pour autant intraçable et ne permet pas d'achapper à la loi.

### Donnez vous des informations aux autorités ?
Nous ne vous espionnerons jamais.  
Le peu de données enregistrées peuvent être transmises aux autorités si requis
par la loi.
Dans ce cas, nous essaierons de contacter les clients concernés avant tout,
si possible.


